Package com.sun.jna.platform.win32

# Class WinRas.RASENTRY.ByReference

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinRas.RASENTRY
com.sun.jna.platform.win32.WinRas.RASENTRY.ByReference

All Implemented Interfaces:
  `Structure.ByReference`

Enclosing class:
  WinRas.RASENTRY

public static class WinRas.RASENTRY.ByReference extends WinRas.RASENTRY implements Structure.ByReference

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinRas.RASENTRY

  `WinRas.RASENTRY.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.WinRas.RASENTRY

  `dwAlternateOffset, dwChannels, dwCountryCode, dwCountryID, dwCustomAuthKey, dwDialExtraPercent, dwDialExtraSampleSeconds, dwDialMode, dwEncryptionType, dwfNetProtocols, dwfOptions, dwfOptions2, dwfOptions3, dwFrameSize, dwFramingProtocol, dwHangUpExtraPercent, dwHangUpExtraSampleSeconds, dwIdleDisconnectSeconds, dwIPv4InterfaceMetric, dwIPv6InterfaceMetric, dwIPv6PrefixLength, dwNetworkOutageTime, dwRedialCount, dwRedialPause, dwReserved1, dwReserved2, dwSize, dwSubEntries, dwTcpWindowSize, dwType, dwVpnStrategy, guidId, ipaddr, ipaddrDns, ipaddrDnsAlt, ipaddrWins, ipaddrWinsAlt, ipv6addr, ipv6addrDns, ipv6addrDnsAlt, szAreaCode, szAutodialDll, szAutodialFunc, szCustomDialDll, szDeviceName, szDeviceType, szDnsSuffix, szLocalPhoneNumber, szPrerequisiteEntry, szPrerequisitePbk, szScript, szX25Address, szX25Facilities, szX25PadType, szX25UserData`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()